[android-components](../../index.md) / [org.mozilla.telemetry.storage](../index.md) / [TelemetryStorage](index.md) / [process](./process.md)

# process

`abstract fun process(pingType: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, callback: `[`TelemetryStorageCallback`](-telemetry-storage-callback/index.md)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/storage/TelemetryStorage.java#L16)